#!/bin/sh

if [ "$1" = "ugrid" ]; then
	grid_type="b8.ugrid"
	func_type="b8.sfunc"
        mw_func_type=1
	shift 1
else
	grid_type="meshb"
	func_type="solb"
        mw_func_type=2
fi

aflr2c -i circle.bedge -o circle_v1.${grid_type} -log -Memory_Monitor $*

aflr2c -i circle.bedge -o circle_v2.${grid_type} -quad -log -Memory_Monitor $*

aflr2c -i box.bedge -o box_v1.${grid_type} -log -Memory_Monitor $*

aflr2c -i box.bedge -o box_v2.${grid_type} -quad -log -Memory_Monitor $*

aflr2c -i n12.bedge -o n12_v1.${grid_type} -log -Memory_Monitor $*

aflr2c -i n12.bedge -o n12_v2.${grid_type} -quad -log -Memory_Monitor $*

aflr2c -i n12.bedge -o n12_v3.${grid_type} -ice -log -Memory_Monitor $*

aflr2c -i m3.bedge -o m3_v1.${grid_type} -log -Memory_Monitor $*

aflr2c -i m3.bedge -o m3_v2.${grid_type} -quad -log -Memory_Monitor $*

aflr2c -i m3.bedge -o m3_v3.${grid_type} -ice -log -Memory_Monitor $*

aflr2c -i atlantic.bedge -o atlantic_v1.${grid_type} -grow1 -log -Memory_Monitor $*

aflr2c -i atlantic.bedge -o atlantic_v2.${grid_type} -grow1 -quad -log -Memory_Monitor $*

aflr2c -i shapes.fgrid -o shapes_v1.${grid_type} -log -Memory_Monitor $*

aflr2c -i shapes.fgrid -o shapes_v2.${grid_type} -quad -log -Memory_Monitor $*

aflr2c -i things_ic_bnd.ugrid -o things_ic_v1.${grid_type} -ice -log -Memory_Monitor $*

aflr2c -i box.bedge -o box_v3.${grid_type} -ext mw_func=1 mw_func_type=${mw_func_type} -log -Memory_Monitor $*

/bin/cp -f box.bedge box_v3.bedge
/bin/cp -f box_v3.${grid_type} box_v3.back.${grid_type}
/bin/cp -f box_v3.out.${func_type} box_v3.back.${func_type}

aflr2c -i box_v3.bedge -o box_v3_bg.${grid_type} -log -Memory_Monitor $*

aflr2c -i box0.bedge -o box0_v1.${grid_type} -met3 meval=5 -log -Memory_Monitor $*

aflr2c -i naca.ugrid -o naca_v1.${grid_type} -met3 -log -Memory_Monitor $*

aflr2c -i scramjet.ugrid -o scramjet_v1.${grid_type} -met3 -log -Memory_Monitor $*

aflr2c -i shock_bubble.ugrid -o shock_bubble_v1.${grid_type} -met3 -log -Memory_Monitor $*
